Package com.clickhouse.jdbc

# Class CombinedResultSet

java.lang.Object
com.clickhouse.jdbc.JdbcWrapper
com.clickhouse.jdbc.AbstractResultSet
com.clickhouse.jdbc.CombinedResultSet

All Implemented Interfaces:
  `AutoCloseable`, `ResultSet`, `Wrapper`

@Deprecated public class CombinedResultSet extends AbstractResultSet
Deprecated.
Wrapper of multiple ResultSets.

## Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

## Constructor Summary

Constructors
Constructor
Description
`CombinedResultSet(ResultSet... results)`
Deprecated.
`CombinedResultSet(Collection<ResultSet> results)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Deprecated.
`protected ResultSet`
`current()`
Deprecated.
`int`
`findColumn(String columnLabel)`
Deprecated.
`Array`
`getArray(int columnIndex)`
Deprecated.
`Array`
`getArray(String columnLabel)`
Deprecated.
`InputStream`
`getAsciiStream(int columnIndex)`
Deprecated.
`InputStream`
`getAsciiStream(String columnLabel)`
Deprecated.
`BigDecimal`
`getBigDecimal(int columnIndex)`
Deprecated.
`BigDecimal`
`getBigDecimal(int columnIndex, int scale)`
Deprecated.
`BigDecimal`
`getBigDecimal(String columnLabel)`
Deprecated.
`BigDecimal`
`getBigDecimal(String columnLabel, int scale)`
Deprecated.
`InputStream`
`getBinaryStream(int columnIndex)`
Deprecated.
`InputStream`
`getBinaryStream(String columnLabel)`
Deprecated.
`Blob`
`getBlob(int columnIndex)`
Deprecated.
`Blob`
`getBlob(String columnLabel)`
Deprecated.
`boolean`
`getBoolean(int columnIndex)`
Deprecated.
`boolean`
`getBoolean(String columnLabel)`
Deprecated.
`byte`
`getByte(int columnIndex)`
Deprecated.
`byte`
`getByte(String columnLabel)`
Deprecated.
`byte[]`
`getBytes(int columnIndex)`
Deprecated.
`byte[]`
`getBytes(String columnLabel)`
Deprecated.
`Reader`
`getCharacterStream(int columnIndex)`
Deprecated.
`Reader`
`getCharacterStream(String columnLabel)`
Deprecated.
`Clob`
`getClob(int columnIndex)`
Deprecated.
`Clob`
`getClob(String columnLabel)`
Deprecated.
`String`
`getCursorName()`
Deprecated.
`Date`
`getDate(int columnIndex)`
Deprecated.
`Date`
`getDate(int columnIndex, Calendar cal)`
Deprecated.
`Date`
`getDate(String columnLabel)`
Deprecated.
`Date`
`getDate(String columnLabel, Calendar cal)`
Deprecated.
`double`
`getDouble(int columnIndex)`
Deprecated.
`double`
`getDouble(String columnLabel)`
Deprecated.
`int`
`getFetchSize()`
Deprecated.
`float`
`getFloat(int columnIndex)`
Deprecated.
`float`
`getFloat(String columnLabel)`
Deprecated.
`int`
`getInt(int columnIndex)`
Deprecated.
`int`
`getInt(String columnLabel)`
Deprecated.
`long`
`getLong(int columnIndex)`
Deprecated.
`long`
`getLong(String columnLabel)`
Deprecated.
`ResultSetMetaData`
`getMetaData()`
Deprecated.
`Reader`
`getNCharacterStream(int columnIndex)`
Deprecated.
`Reader`
`getNCharacterStream(String columnLabel)`
Deprecated.
`NClob`
`getNClob(int columnIndex)`
Deprecated.
`NClob`
`getNClob(String columnLabel)`
Deprecated.
`String`
`getNString(int columnIndex)`
Deprecated.
`String`
`getNString(String columnLabel)`
Deprecated.
`Object`
`getObject(int columnIndex)`
Deprecated.
`<T> T`
`getObject(int columnIndex, Class<T> type)`
Deprecated.
`Object`
`getObject(int columnIndex, Map<String,Class<?>> map)`
Deprecated.
`Object`
`getObject(String columnLabel)`
Deprecated.
`<T> T`
`getObject(String columnLabel, Class<T> type)`
Deprecated.
`Object`
`getObject(String columnLabel, Map<String,Class<?>> map)`
Deprecated.
`Ref`
`getRef(int columnIndex)`
Deprecated.
`Ref`
`getRef(String columnLabel)`
Deprecated.
`int`
`getRow()`
Deprecated.
`RowId`
`getRowId(int columnIndex)`
Deprecated.
`RowId`
`getRowId(String columnLabel)`
Deprecated.
`short`
`getShort(int columnIndex)`
Deprecated.
`short`
`getShort(String columnLabel)`
Deprecated.
`SQLXML`
`getSQLXML(int columnIndex)`
Deprecated.
`SQLXML`
`getSQLXML(String columnLabel)`
Deprecated.
`Statement`
`getStatement()`
Deprecated.
`String`
`getString(int columnIndex)`
Deprecated.
`String`
`getString(String columnLabel)`
Deprecated.
`Time`
`getTime(int columnIndex)`
Deprecated.
`Time`
`getTime(int columnIndex, Calendar cal)`
Deprecated.
`Time`
`getTime(String columnLabel)`
Deprecated.
`Time`
`getTime(String columnLabel, Calendar cal)`
Deprecated.
`Timestamp`
`getTimestamp(int columnIndex)`
Deprecated.
`Timestamp`
`getTimestamp(int columnIndex, Calendar cal)`
Deprecated.
`Timestamp`
`getTimestamp(String columnLabel)`
Deprecated.
`Timestamp`
`getTimestamp(String columnLabel, Calendar cal)`
Deprecated.
`InputStream`
`getUnicodeStream(int columnIndex)`
Deprecated.
`InputStream`
`getUnicodeStream(String columnLabel)`
Deprecated.
`URL`
`getURL(int columnIndex)`
Deprecated.
`URL`
`getURL(String columnLabel)`
Deprecated.
`protected boolean`
`hasNext()`
Deprecated.
`boolean`
`isAfterLast()`
Deprecated.
`boolean`
`isBeforeFirst()`
Deprecated.
`boolean`
`isClosed()`
Deprecated.
`boolean`
`isFirst()`
Deprecated.
`boolean`
`isLast()`
Deprecated.
`boolean`
`next()`
Deprecated.
`boolean`
`rowDeleted()`
Deprecated.
`boolean`
`rowInserted()`
Deprecated.
`boolean`
`rowUpdated()`
Deprecated.
`void`
`setFetchSize(int rows)`
Deprecated.
`boolean`
`wasNull()`
Deprecated.

### Methods inherited from class com.clickhouse.jdbc.AbstractResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, deleteRow, ensureOpen, first, getConcurrency, getFetchDirection, getHoldability, getType, getWarnings, insertRow, last, moveToCurrentRow, moveToInsertRow, previous, refreshRow, relative, setFetchDirection, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp`

### Methods inherited from class com.clickhouse.jdbc.JdbcWrapper

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Constructor Details

### CombinedResultSet

public CombinedResultSet(ResultSet... results)
Deprecated.

### CombinedResultSet

public CombinedResultSet(Collection<ResultSet> results)
Deprecated.

## Method Details

### current

protected ResultSet current() throws SQLException
Deprecated.

Throws:
  `SQLException`

### hasNext

protected boolean hasNext() throws SQLException
Deprecated.

Throws:
  `SQLException`

### next

public boolean next() throws SQLException
Deprecated.

Throws:
  `SQLException`

### close

public void close() throws SQLException
Deprecated.

Throws:
  `SQLException`

### wasNull

public boolean wasNull() throws SQLException
Deprecated.

Throws:
  `SQLException`

### getString

public String getString(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getBoolean

public boolean getBoolean(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getByte

public byte getByte(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getShort

public short getShort(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getInt

public int getInt(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getLong

public long getLong(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getFloat

public float getFloat(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getDouble

public double getDouble(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(int columnIndex, int scale) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getBytes

public byte[] getBytes(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getDate

public Date getDate(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getTime

public Time getTime(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getAsciiStream

public InputStream getAsciiStream(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getUnicodeStream

public InputStream getUnicodeStream(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getBinaryStream

public InputStream getBinaryStream(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getString

public String getString(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getBoolean

public boolean getBoolean(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getByte

public byte getByte(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getShort

public short getShort(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getInt

public int getInt(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getLong

public long getLong(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getFloat

public float getFloat(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getDouble

public double getDouble(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(String columnLabel, int scale) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getBytes

public byte[] getBytes(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getDate

public Date getDate(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getTime

public Time getTime(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getAsciiStream

public InputStream getAsciiStream(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getUnicodeStream

public InputStream getUnicodeStream(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getBinaryStream

public InputStream getBinaryStream(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getCursorName

public String getCursorName() throws SQLException
Deprecated.

Throws:
  `SQLException`

### getMetaData

public ResultSetMetaData getMetaData() throws SQLException
Deprecated.

Throws:
  `SQLException`

### getObject

public Object getObject(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getObject

public Object getObject(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### findColumn

public int findColumn(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### isBeforeFirst

public boolean isBeforeFirst() throws SQLException
Deprecated.

Throws:
  `SQLException`

### isAfterLast

public boolean isAfterLast() throws SQLException
Deprecated.

Throws:
  `SQLException`

### isFirst

public boolean isFirst() throws SQLException
Deprecated.

Throws:
  `SQLException`

### isLast

public boolean isLast() throws SQLException
Deprecated.

Throws:
  `SQLException`

### getRow

public int getRow() throws SQLException
Deprecated.

Throws:
  `SQLException`

### setFetchSize

public void setFetchSize(int rows) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getFetchSize

public int getFetchSize() throws SQLException
Deprecated.

Throws:
  `SQLException`

### rowUpdated

public boolean rowUpdated() throws SQLException
Deprecated.

Specified by:
  `rowUpdated` in interface `ResultSet`
Overrides:
  `rowUpdated` in class `AbstractResultSet`
Throws:
  `SQLException`

### rowInserted

public boolean rowInserted() throws SQLException
Deprecated.

Specified by:
  `rowInserted` in interface `ResultSet`
Overrides:
  `rowInserted` in class `AbstractResultSet`
Throws:
  `SQLException`

### rowDeleted

public boolean rowDeleted() throws SQLException
Deprecated.

Specified by:
  `rowDeleted` in interface `ResultSet`
Overrides:
  `rowDeleted` in class `AbstractResultSet`
Throws:
  `SQLException`

### getStatement

public Statement getStatement() throws SQLException
Deprecated.

Throws:
  `SQLException`

### getObject

public Object getObject(int columnIndex, Map<String,Class<?>> map) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getRef

public Ref getRef(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getBlob

public Blob getBlob(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getClob

public Clob getClob(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getArray

public Array getArray(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getObject

public Object getObject(String columnLabel, Map<String,Class<?>> map) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getRef

public Ref getRef(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getBlob

public Blob getBlob(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getClob

public Clob getClob(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getArray

public Array getArray(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getDate

public Date getDate(int columnIndex, Calendar cal) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getDate

public Date getDate(String columnLabel, Calendar cal) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getTime

public Time getTime(int columnIndex, Calendar cal) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getTime

public Time getTime(String columnLabel, Calendar cal) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(int columnIndex, Calendar cal) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(String columnLabel, Calendar cal) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getURL

public URL getURL(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getURL

public URL getURL(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getRowId

public RowId getRowId(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getRowId

public RowId getRowId(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### isClosed

public boolean isClosed() throws SQLException
Deprecated.

Throws:
  `SQLException`

### getNClob

public NClob getNClob(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getNClob

public NClob getNClob(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getSQLXML

public SQLXML getSQLXML(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getSQLXML

public SQLXML getSQLXML(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getNString

public String getNString(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getNString

public String getNString(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getNCharacterStream

public Reader getNCharacterStream(int columnIndex) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getNCharacterStream

public Reader getNCharacterStream(String columnLabel) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getObject

public <T> T getObject(int columnIndex, Class<T> type) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getObject

public <T> T getObject(String columnLabel, Class<T> type) throws SQLException
Deprecated.

Throws:
  `SQLException`